Index: FunctionType.cxx
===================================================================
--- FunctionType.cxx	(revision 6826)
+++ FunctionType.cxx	(working copy)
@@ -252,6 +252,7 @@
     havewidgets = 0;
     FluidType *child;
     char attr[256];
+
     if (attributes) {
 	strncpy(attr, attributes, 255);
 	strcat(attr, " ");
@@ -262,7 +263,8 @@
 	    havewidgets = 1;
 	    last_group = (WidgetType*)child;
 	}
-	write_c("\n");
+	if (first_child)
+	    write_c("\n");
 	if (ismain()) {
 	    write_c("#include <fltk/run.h>\n\n");
 	    write_c("int main%s(int argc, char **argv)%s\n",
@@ -305,7 +307,8 @@
 		if (is_virtual) write_h("virtual ");
 		if (!constructor) {
 		    write_h("%s%s%s ", attr, rtype, star);
-		    write_c("%s%s ", rtype, star);
+		    if (first_child)
+			write_c("%s%s ", rtype, star);
 		}
 		
 		// if this is a subclass, only write_h() the part before the ':'
@@ -325,7 +328,8 @@
 		if(constructor)	// already wrote this for constructors.
 		    write_h("%s", attr);
 		write_h("%s;\n", s);
-		write_c("%s::%s%s", k, strip_default_args(name()), get_opening_brace(1));
+		if (first_child)
+		    write_c("%s::%s%s", k, strip_default_args(name()), get_opening_brace(1));
 	    } else {
 		if (public_) {
 		    if (cdecl_)
@@ -333,8 +337,10 @@
 		    else
 			write_h("%s%s%s %s;\n", attr, rtype, star, name());
 		}
-		else write_c("static ");
-		write_c("%s%s %s%s", rtype, star, name(), get_opening_brace(1));
+		else if (first_child)
+		    write_c("static ");
+		if (first_child)
+		    write_c("%s%s %s%s", rtype, star, name(), get_opening_brace(1));
 	    }
 	}
 	indentation += 2;
@@ -352,7 +358,8 @@
 	    write_c("%sreturn %s%sw%s;\n", get_indent_string(1), 
 	    gno_space_parens ? "" : " ",
 	    galways_return_parens ? "(" : "", galways_return_parens ? ")" : "");
-	write_c("}\n");
+	if (first_child)
+	    write_c("}\n");
 	indentation -= 2;
 	if (indentation < 0) indentation = 0;
 }
Index: code.cxx
===================================================================
--- code.cxx	(revision 6826)
+++ code.cxx	(working copy)
@@ -268,6 +268,7 @@
 int write_number=0;
 int write_sourceview=0;
 
+#if 0
 /////////////////////////////////////////////////////////////////////
 // recursively dump code, putting children between the two parts
 // of the parent code:
@@ -312,6 +313,8 @@
   }
   return q;
 }
+#endif
+
 /////////////////////////////////////////////////////////////////////
 int write_code(const char *s, const char *t) {
   const char *filemode = write_sourceview ? "wb" : "w";
